PULSAR
API ReferenceOperator Plan

Update

Update an existing operator plan (only end date can be updated for Active plans)

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Path Parameters

id*string

The ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
PUT
/operator-plan/{id}

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X PUT "https://example.com/operator-plan/string" \  -H "Content-Type: application/json" \  -d '{    "until": "string"  }'
{  "id": "string",  "fileId": "string",  "title": "string",  "since": "string",  "until": "string",  "status": "past",  "operatorCount": 0.1,  "machineCount": 0.1}